For the complete documentation index, see llms.txt. This page is also available as Markdown.

Nova 3 General

This documentation is valid for the following list of our models:

  • nova-3-general

Nova-3 General — multilingual speech-to-text model from Deepgram with automatic language detection across 30+ languages, optimized for real-time and batch transcription with speaker diarization and advanced audio intelligence features.

Setup your API Key

If you don't have an API key for the AI/ML API yet, feel free to use our Quickstart guide.

API Schemas

post
Body
modelstring · enumRequiredPossible values:
urlstring · uriOptional

URL of the input audio file. Provide either url or audio — exactly one is required, not both.

Example: https://audio-samples.github.io/samples/mp3/blizzard_primed/sample-0.mp3
audiostring · binaryOptional

The audio file to transcribe. Provide either url or audio — exactly one is required, not both.

languagestringOptional

The BCP-47 language tag that hints at the primary spoken language. Depending on the model and API endpoint you choose, only certain languages are available.

Example: en
punctuateboolean · nullableOptional

Adds punctuation and capitalization to the transcript.

smart_formatboolean · nullableOptional

Applies formatting to transcript output. When set to true, additional formatting will be applied to transcripts to improve readability.

diarizeboolean · nullableOptional

Recognizes speaker changes. Each word in the transcript will be assigned a speaker number starting at 0.

multichannelboolean · nullableOptional

Enable Multichannel transcription, can be true or false.

paragraphsboolean · nullableOptional

Splits audio into paragraphs to improve transcript readability.

utterancesboolean · nullableOptional

Segments speech into meaningful semantic units.

utt_splitnumberOptional

Seconds to wait before detecting a pause between words in submitted audio.

detect_languageany ofOptional

Enables language detection to identify the dominant language spoken in the submitted audio.

string[]Optional
or
boolean · nullableOptional
detect_entitiesboolean · nullableOptional

When Entity Detection is enabled, the Punctuation feature will be enabled by default.

intentsboolean · nullableOptional

Recognizes speaker intent throughout a transcript or text.

sentimentboolean · nullableOptional

Recognizes the sentiment throughout a transcript or text.

topicsboolean · nullableOptional

Detects topics throughout a transcript or text.

summarizeany ofOptional

Summarizes content. For Listen API, supports string version option. For Read API, accepts boolean only.

stringOptional
or
booleanOptional
custom_intentany ofOptional

A custom intent you want the model to detect within your input audio if present. Submit up to 100.

stringOptional
or
string[]Optional
custom_intent_modestring · enumOptional

Sets how the model will interpret strings submitted to the custom_intent param. When strict, the model will only return intents submitted using the custom_intent param. When extended, the model will return its own detected intents in addition to those submitted.

Possible values:
custom_topicany ofOptional

A custom topic you want the model to detect within your input audio if present. Submit up to 100.

stringOptional
or
string[]Optional
custom_topic_modestring · enumOptional

Sets how the model will interpret strings submitted to the custom_topic param. When strict, the model will only return topics submitted using the custom_topic param. When extended, the model will return its own detected topics in addition to those submitted.

Possible values:
keytermany ofOptional

Keyterm Prompting (Nova-3 General only): boost recognition of specialized terms, brands, and proper nouns. Pass a single term or an array of terms.

stringOptional
or
string[]Optional
filler_wordsboolean · nullableOptional

Filler Words can help transcribe interruptions in your audio, like "uh" and "um".

profanity_filterboolean · nullableOptional

Profanity Filter looks for recognized profanity and converts it to the nearest recognized non-profane word or removes it from the transcript completely.

redactany ofOptional

Redact sensitive information from the transcript. Common values: pii, pci, numbers.

stringOptional
or
string[]Optional
replaceany ofOptional

Search for terms and replace them in the transcript. Provide "find:replace" pairs.

stringOptional
or
string[]Optional
searchany ofOptional

Search for terms or phrases in submitted audio.

stringOptional
or
string[]Optional
dictationboolean · nullableOptional

Identifies and extracts key entities from content in submitted audio.

measurementsboolean · nullableOptional

Spoken measurements will be converted to their corresponding abbreviations.

numeralsboolean · nullableOptional

Numerals converts numbers from written format to numerical format.

encodingstring · enumOptional

Expected encoding of the submitted audio (used mainly for raw audio).

Possible values:
tagany ofOptional

Labels your requests for the purpose of identification during usage reporting.

stringOptional
or
string[]Optional
extraany ofOptional

Arbitrary key-value pairs that are attached to the API response for usage in downstream processing.

stringOptional
or
string[]Optional
mip_opt_outboolean · nullableOptional

Opt out of the Deepgram Model Improvement Program for this request.

versionstringOptional

Model version to use (e.g. "latest" or a specific version string). Defaults to latest.

Responses
200Success
application/json
generation_idstringRequired

The unique identifier of the created transcription task. Use this ID to retrieve the result via GET /v1/stt/{generation_id}.

Example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
post/v1/stt/create
curl -L \
  --request POST \
  --url 'https://api.aimlapi.com/v1/stt/create' \
  --header 'Authorization: Bearer <YOUR_AIMLAPI_KEY>' \
  --header 'Content-Type: application/json' \
  --data '{
      "model": "nova-3-general",
      "url": "https://audio-samples.github.io/samples/mp3/blizzard_primed/sample-0.mp3"
    }'
200Success
{
  "generation_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}

Quick Example: Processing a Speech Audio File via URL

Let's transcribe the following audio fragment:

Response

Last updated

Was this helpful?